language: cn
model_unique_abbr: pitRemove
version: 1.0
identification:
  docker_image_name: taudem_ext:5.3.9
  model_name: 填洼（坡度抬升填平）
  semantic: pit_removing
  description: 调整洼地区域高程值，使模拟过程中洼地内水流能顺畅向低处流动的算法
  category_application: 诊断型
  category_data:
  - 栅格DEM数据
  keywords:
  - 地形分析
  - 水文分析
  - 单流向
parameter_info:
  parameters:
  - arg_name: np
    param_type: param
    visible: false
    name: 进程数
    description: mpi计算核数
    data_type: int
    data_semantic: number of process
    specification:
      default: 1
  - arg_name: ' '
    param_type: param
    visible: false
    name: 填洼算法
    description: 填洼算法名称
    data_type: str
    data_semantic: name of pit remove algorithm in Taudem
    specification:
      default: pitremove
  - arg_name: z
    param_type: input_data
    name: 数字高程模型
    description: 待填洼DEM
    data_type: tif
    data_semantic: dem
  - arg_name: fel
    param_type: output_data
    name: 数字高程模型
    description: 已填洼DEM
    data_type: tif
    data_semantic: filled_dem
application:
  domain: 水文分析数据预处理
  objective: 调整洼地区域高程值
  mechanism: 识别DEM中的所有凹坑，并将它们的高度提高到边缘附近的最低倾点
operation:
  usage: 用户指定待填洼DEM，输出结果为填洼后DEM
  exec_example:
  - "docker run -v $(pwd)/data:/data crazyzlj/taudem_ext:alpine-openmpi-gdal-latest [-np <nproc>] pitremove -z /data/dem_meixi.tif -fel /data/dem_fel.tif"
  output_display:
  - 输出结果为填洼后DEM，直接显示栅格数据
technique:
  language:
  - C++
  os:
  - Windows
  - Linux
  - MacOS
  parallel:
  - MPI
  hardware:
  - CPU
source:
  maintainer: Zi-Yue Chen
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: chenzy@lreis.ac.cn
  repository: https://github.com/lreis2415/TauDEM_ext
  integrated_softwares:
  - name: TauDEM_ext
    version: TauDEM5.3
    license: GPLv3license
  references:
  - "Planchon, O., Darboux, F. 2002. A fast, simple and versatile algorithm to fill the depressions of digital elevation models. Catena, 46(2-3): 159–176."
